package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GameApplet;
import com.zanxiang.sdk.domain.dto.GameAppletDTO;
import com.zanxiang.sdk.domain.params.UserData;
import com.zanxiang.sdk.domain.vo.GameAppletVO;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 微信小游戏(小程序)
 */
public interface GameAppletService extends IService<GameApplet> {

    /**
     * 通过游戏id和app id
     *
     * @param gameId 游戏id
     * @return {@link GameAppletDTO}
     */
    GameAppletDTO getByGameId(Long gameId);

    /**
     * 微信小游戏初始化获取信息
     *
     * @param userData : 用户信息
     * @return {@link GameAppletVO}
     */
    GameAppletVO gameAppletInit(UserData userData);
}
